#include <iostream>
#include <fstream>
#include <algorithm>
#include <cstdlib>
#include <set>
using namespace std;

const int MAXN = 1003;

ifstream inp, sol, out;

int n, k;
int s[MAXN];
set<int> a;

void verdict(int res, string message)
{
    cout << res << endl;
    cerr << message << endl;
    exit(0);
}

int main(int argc, char *argv[])
{
    inp.open(argv[1]);
    sol.open(argv[2]);
    out.open(argv[3]);

    inp >> n >> k;
    for (int i = 1; i <= n; ++ i)
    {
        inp >> s[i];
    }
    sort(s + 1, s + n + 1);

    int jury, part;
    sol >> jury;
	out >> part;
    if (part == -1)
    {
        if (jury == -1) verdict(1, "Correct answer");
        else verdict(0, "Wrong answer");
    }

    int sum = 0;
    for (int i = 1; i <= n; ++ i)
    {
        int x;
        if (i == 1) x = part;
		else out >> x;
        if (!out.good()) verdict(0, "Could not read output"); // Invalid output format
        if (a.count(x) != 0) verdict(0, "Wrong answer"); // Original numbers are not unique
        if (x <= 0) verdict(0, "Wrong answer"); // Numbers are not positive
        a.insert(x);
        sum += x;
    }

    set<int> temp=a;
    for (int i = 1; i <= k; ++ i)
    {
        int x;
        out >> x;
        if (!out.good()) verdict(0, "Could not read output"); // Invalid output format
        if (temp.count(x) == 0) verdict(0, "Wrong answer"); // Unknown number repeated
        temp.erase(x);
        sum += x;
    }

    int idx = n;
    for (int x : a)
    {
        if (sum - x != s[idx--]) verdict(0, "Wrong answer"); // Sums of the numbers differ
    }

	if (jury == -1) verdict(1, "Correct answer, jury says -1 - contact jury!!!"); 
    else verdict(1, "Correct answer");
}